> ## Documentation Index
> Fetch the complete documentation index at: https://eximpe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Merchants

> Retrieve a list of merchants with pagination.



## OpenAPI

````yaml openapi.json get /partners/merchants/
openapi: 3.0.0
info:
  title: Eximpe Payment Gateway API
  description: >-
    API for payment processing and order management through Eximpe payment
    gateway
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://api-staging.eximpe.com
    description: Staging server
  - url: https://api.eximpe.com
    description: Production server
security:
  - clientAuth: []
    clientSecretAuth: []
paths:
  /partners/merchants/:
    get:
      tags:
        - Merchants
      summary: List Merchants
      description: Retrieve a list of merchants with pagination.
      responses:
        '200':
          description: A paginated list of merchants.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMerchantsResponse'
              example:
                success: true
                message: Sub-merchants retrieved successfully
                data:
                  count: 4
                  page: 1
                  page_size: 250
                  next: null
                  previous: null
                  results:
                    - id: '3604346598'
                      brand_name: TechSubshrine
                      kyc_status: PENDING
                      created_date: '2025-06-19T18:06:05.523720Z'
                    - id: '8319446548'
                      brand_name: TechSubshrine
                      kyc_status: PENDING
                      created_date: '2025-06-19T17:43:25.467834Z'
                    - id: '2343915596'
                      brand_name: TechSubshrine
                      kyc_status: PENDING
                      created_date: '2025-06-19T16:43:53.317062Z'
                    - id: '4455704961'
                      brand_name: Test Name
                      kyc_status: PENDING
                      created_date: '2025-06-19T08:53:22.411374Z'
        '401':
          description: Unauthorized - Invalid credentials.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - clientAuth: []
          clientSecretAuth: []
components:
  schemas:
    ListMerchantsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            count:
              type: integer
            page:
              type: integer
            page_size:
              type: integer
            next:
              type: string
              nullable: true
            previous:
              type: string
              nullable: true
            results:
              type: array
              items:
                $ref: '#/components/schemas/MerchantInList'
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        error:
          $ref: '#/components/schemas/ErrorDetails'
    MerchantInList:
      type: object
      properties:
        id:
          type: string
          description: Unique merchant identifier
        brand_name:
          type: string
          description: Brand/trading name of the merchant
        kyc_status:
          type: string
          description: KYC verification status
          enum:
            - PENDING
            - APPROVED
            - REJECTED
        created_date:
          type: string
          format: date-time
          description: Merchant creation timestamp
    ErrorDetails:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code (e.g., ERR_ORDER_002)
        message:
          type: string
          description: Error message
        details:
          type: object
          description: Detailed validation error information with field-specific errors
          additionalProperties:
            type: string
            description: Error message for the specific field
  securitySchemes:
    clientAuth:
      type: apiKey
      name: X-Client-ID
      in: header
      description: Client app ID. You can find your app id in the merchant dashboard.
    clientSecretAuth:
      type: apiKey
      name: X-Client-Secret
      in: header
      description: Client secret key. You can find your secret in the merchant dashboard.

````